package app.main;

import android.graphics.Canvas;
import android.graphics.Paint;
import ryulib.game.GameControl;
import ryulib.game.GameControlGroup;
import ryulib.game.GamePlatformInfo;

public class BackGround extends GameControl {

	public BackGround(GameControlGroup gameControlGroup) {
		super(gameControlGroup);
	}

	private Canvas _Canvas = null;
	private Paint _Paint = null;
	
	@Override
	protected void onStart(GamePlatformInfo platformInfo) {
		_Canvas = platformInfo.getCanvas();
		_Paint = platformInfo.getPaint();
	}
	
	@Override
	protected void onDraw(GamePlatformInfo platformInfo) {
		_Paint.setARGB(255, 0, 0, 0);
		_Canvas.drawRect(0, 0, _Canvas.getWidth(), _Canvas.getHeight(), _Paint);
	}
	
}
