package app.resources;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import app.main.R;

public class ResourceExplodingAsteroid extends BitmapList {

	private static ResourceExplodingAsteroid _Instance = new ResourceExplodingAsteroid();

	public static ResourceExplodingAsteroid getInstance(){
		return _Instance;
	}
	
	private ResourceExplodingAsteroid() {}
	
    @Override
    protected void loadBitmaps() {
		_Bitmaps = new Bitmap[4];
		
		Resources resources = Resource.getInstance().getResources();  
		
        _Bitmaps[ 0] = BitmapFactory.decodeResource(resources, R.drawable.asteroid_explode1);
        _Bitmaps[ 1] = BitmapFactory.decodeResource(resources, R.drawable.asteroid_explode2);
        _Bitmaps[ 2] = BitmapFactory.decodeResource(resources, R.drawable.asteroid_explode3);
        _Bitmaps[ 3] = BitmapFactory.decodeResource(resources, R.drawable.asteroid_explode4);
    }
    
}
