package app.resources;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import app.main.R;

public class ResourceLaser {

	private static ResourceLaser _Instance = new ResourceLaser();

	public static ResourceLaser getInstance(){
		return _Instance;
	}
	
	private ResourceLaser() {}
	  
	private Bitmap _Bitmap = null;
	
    public static final int WIDTH = 27;
    public static final int HEIGHT = 12;
    
	public Bitmap getBitmap() {
		if (_Bitmap == null) {
			_Bitmap = 
				BitmapFactory.decodeResource(
					Resource.getInstance().getResources(), R.drawable.laser
				);
		}
		
		return _Bitmap;
	}

}
