package app.main;

import ryulib.game.GameControl;
import ryulib.game.GameControlGroup;
import ryulib.game.GamePlatformInfo;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;

public class Box extends GameControl {

	public Box(GameControlGroup gameControlGroup) {
		super(gameControlGroup);
	}
	
	private Rect _rect = new Rect(0, 0, 32, 32);

	@Override
	protected void onDraw(GamePlatformInfo platformInfo) {
		Paint paint = platformInfo.getPaint();
		Canvas canvas = platformInfo.getCanvas();
		
		paint.setARGB(255, 255, 0, 0);
		canvas.drawRect(_rect, paint);
	}
}
