package app.resources;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import app.main.R;

public class ResourceBackground {
	
	private static ResourceBackground _Instance = new ResourceBackground();

	public static ResourceBackground getInstance(){
		return _Instance;
	}
	
	private ResourceBackground() {}
	  
	private Bitmap _Background_A = null;
	private Bitmap _Background_B = null;
	
	public Bitmap getBackground_A() {
		if (_Background_A == null) {
			_Background_A = 
				BitmapFactory.decodeResource(
					Resource.getInstance().getResources(), R.drawable.background_a
				);
		}
		
		return _Background_A;
	}
	
	public Bitmap getBackground_B() {
		if (_Background_B == null) {
			_Background_B = 
				BitmapFactory.decodeResource(
					Resource.getInstance().getResources(), R.drawable.background_b
				);
		}
		
		return _Background_B;
	}

}
