package app.resources;

import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import app.main.R;

public class ResourceShip extends BitmapList {

	private static ResourceShip _Instance = new ResourceShip();

	public static ResourceShip getInstance(){
		return _Instance;
	}
	
	private ResourceShip() {}
	
    public static final int WIDTH = 122;
    public static final int HEIGHT = 65;

    @Override
    protected void loadBitmaps() {
		_Bitmaps = new Bitmap[4];
		
		Resources resources = Resource.getInstance().getResources();  
		
        _Bitmaps[0] = BitmapFactory.decodeResource(resources, R.drawable.ship2_1);
        _Bitmaps[1] = BitmapFactory.decodeResource(resources, R.drawable.ship2_2);
        _Bitmaps[2] = BitmapFactory.decodeResource(resources, R.drawable.ship2_3);
        _Bitmaps[3] = BitmapFactory.decodeResource(resources, R.drawable.ship2_4);
    }
	
}
